API Reference
Log In
API Reference

Update Manager by Id

Update of manager's data.
Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📖 Example Requests

Below you will find the body of three sample JSON requests:

  • Example 1: Update a manager in the Nicaragua Core.
  • Example 2: Update a manager in the Costa Rica Core.
  • Example 3: Update a manager in the Panamá Core.
  • Example 4: Update a manager in the Honduras Core.
  • Example 5: Update a manager in
{
    "registration_number": "22222",
    "identification_issue_date": "2017-10-27T17:31:08.058Z",
    "identification_expiration_date": "2028-10-27T17:31:08.058Z",
    "contact_name": {
        "first_name": "Rosibeth",
        "second_name": "Abigail",
        "last_name": "Meza",
        "second_last_name": "Gutierrez"
    },
    "birth_date": "2086-08-23T12:11:20.065Z",
    "birth_country_code": "NIC",
    "marital_status_code": "S",
    "nationality_code": "NIC",
    "profession_code": "00C47",
    "economic_activity_code": "F02",
    "location_information": {
        "residence_code": "NIC",
        "address": "Address NI",
        "geo_location_code": "0031-0001",
        "phone": "88888888",
        "cell_phone": "88888888",
        "email": "[email protected]"
    },
    "job_information": {
        "job_code": "00C28",
        "monthly_income": 10000,
        "work_place": "Test company",
        "work_geo_location_code": "0031-0001"
    },
    "is_pep": false
}
{
    "registration_number": "22222",
    "identification_issue_date": "2017-10-27T17:31:08.058Z",
    "identification_expiration_date": "2028-10-27T17:31:08.058Z",
    "contact_name": {
        "first_name": "Walter",
        "second_name": "Javier",
        "last_name": "Meza",
        "second_last_name": "Padilla"
    },
    "birth_country_code": "COS",
    "marital_status_code": "1",
    "nationality_code": "COS",
    "profession_code": "ANS",
    "economic_activity_code": "Q09",
    "location_information": {
        "cell_phone": "88888888",
        "email": "[email protected]"
    },
    "job_information": {
        "job_code": "ANF",
        "monthly_income": 1000,
        "work_place": "Test company"
    }
}
{
    "registration_number": "22222",
    "identification_issue_date": "2017-10-27T17:31:08.058Z",
    "identification_expiration_date": "2028-10-27T17:31:08.058Z",
    "contact_name": {
        "first_name": "Luisa",
        "second_name": "Abigail",
        "last_name": "Lorent",
        "second_last_name": "Gutierrez"
    },  
    "birth_date": "2086-08-23T12:11:20.065Z",
    "birth_country_code": "PAN",
    "marital_status_code": "1",
    "nationality_code": "PAN",
    "profession_code": "AD06",
    "economic_activity_code": "CSE",
    "location_information": {
        "residence_code": "PAN",
        "address": "Address PA",
        "geo_location_code": "0004-0401-0008",
        "phone": "88888888",
        "cell_phone": "88888888",
        "email": "[email protected]"
    },
    "job_information": {
        "job_code": "0039",
        "monthly_income": 10000,
        "work_place": "Test company",
        "work_geo_location_code": "0004-0401-0008"
    }
}
{
    "registration_number": "22222",
    "identification_issue_date": "2017-10-27T17:31:08.058Z",
    "identification_expiration_date": "2028-10-27T17:31:08.058Z",
    "contact_name": {
        "first_name": "Rosibeth",
        "second_name": "Abigail",
        "last_name": "Meza",
        "second_last_name": "Gutierrez"
    },
    "birth_date": "1986-07-23T00:00:00",
    "birth_country_code": "214",
    "marital_status_code": "2",
    "nationality_code": "214",
    "profession_code": "LIC",
    "economic_activity_code": "JUBI",
    "location_information": {
        "residence_code": "214",
        "address": "Address HN",
        "geo_location_code": "10-1002",
        "phone": "88882222",
        "cell_phone": "88882222",
        "email": "[email protected]"
    },
    "job_information": {
        "job_code": "OFNP",
        "monthly_income": 10000,
        "work_place": "Test company",
        "work_geo_location_code": "10-1002"
    },
    "is_pep": false
}
{
    "registration_number": "22222",
    "identification_issue_date": "2017-10-27T17:31:08.058Z",
    "identification_expiration_date": "2028-10-27T17:31:08.058Z",
    "contact_name": {
        "first_name": "Ana",
        "second_name": "Julia",
        "last_name": "Pérez",
        "second_last_name": "Martínez"
    },
    "birth_date": "1986-07-23T00:00:00",
    "birth_country_code": "DO",
    "marital_status_code": "0005",
    "nationality_code": "DO",
    "profession_code": "0070",
    "economic_activity_code": "2482",
    "location_information": {
        "residence_code": "DO",
        "address": "Address RD",
        "geo_location_code": "0200-0201-01",
        "phone_area_code": "809",
        "phone": "88882222",
        "cellphone_area_code": "809",
        "cell_phone": "88882222",
        "email": "[email protected]"
    },
    "job_information": {
        "job_code": "0704",
        "monthly_income": 10000,
        "work_place": "Test company",
        "work_geo_location_code": "0200-0201-01"
    },
    "is_pep": false
}

JSON response body fields:

NameDescriptionType
countryThe identifier of the bank in which the manager was created.string
identification_numberManager ID number.string
identification_type_codeIdentification type code.string
identification_typeIdentification type description.string
registration_numberRegistration number.string
identification_issue_dateDate of issue of identification.date
identification_expiration_dateManager ID expiration date.date
contact_nameManager's information.object
contact_name.first_nameFirst name.string
contact_name.second_nameSecond name.string
contact_name.last_nameLast name.string
contact_name.second_last_nameSecond last name.string
birth_dateManager's date of birth.date
birth_country_codeManager's country of birth.string
birth_countryManager's country of birth description.string
marital_status_codeManager's marital status code.string
marital_statusManager's marital status description.string
profession_codeManager's profession code.string
professionManager's profession description.string
economic_activity_codeManager's economic activity code.string
economic_activityManager's economic activity description.string
nationality_codeManager's nationality code.string
nationalityManager's nationality description.string
location_informationManager's residence information.object
location_information.residence_codeManager's country of residence code.string
location_information.residenceManager's country of residence description.string
location_information.addressManager's address.string
location_information.geo_location_codeManager's geographic location code.string
location_information.geo_locationManager's geographic location description.string
location_information.phoneManager's personal phone number.string
location_information.phone_area_codePhone area code for RDstring
location_information.cell_phoneManager's mobile number.string
location_information,cellphone_area_codeCellphone area code for RDstring
location_information.emailManager mail.string
job_informationManager's employment information.object
job_information.job_codeManager occupancy code.string
job_information.jobManager occupancy description.string
job_information.monthly_incomeManager's salary in the company where he/she works (if applicable) or manager's monthly income.number
job_information.work_placeThe company where the manager works (if applicable).string
job_information.work_geo_location_codeGeographic Job Location Code (if applicable).string
job_information.work_geo_locationGeographic Job Location description (if applicable).string
is_pepIndicates if the manager is a publicly exposed person.boolean
Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
string
required

Description: Manager ID number.
Size: 20.

Body Params
string
Defaults to 22222

Description: Registration number.
Size: 20.

date
Defaults to 2000-01-01

Description: Date of issue of identification.

date
Defaults to 2028-01-01

Description: Manager ID expiration date.

contact_name
object

Description: Manager's information.

date
Defaults to 2000-01-01

Description: Manager's date of birth.

string
Defaults to NIC

Description: Manager's country of birth.
Size: 3.
Catalog: Countries.

string
Defaults to S

Description: Manager marital status code.
Size: 1.
Catalog: Marital status.

string
required
Defaults to NIC

Description: Manager's nationality code.
Size: 3.
Catalog: Countries.

string
Defaults to 00C47

Description: Manager's profession code.
Size: 5.
Catalog: Title.

string
Defaults to F02

Description: Manager's economic activity code.
Size: 3.
Catalog: Economic activity.

location_information
object
required

Description: Manager's residence information.

job_information
object

Description: Manager's employment information.

boolean
Defaults to false

Description: Indicates if the manager is a publicly exposed person.

string
Defaults to 809

Cellphone area code for RD

string
Defaults to 809

Phone area code for RD

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json